Summary: Process accounting tools
Name: psacct
Version: 6.3
Release: 2
Copyright: GPL
Group: Utilities/System
Source: ftp://prep.ai.mit.edu/pub/gnu/acct-6.3.tar.gz
Patch0: acct-6.3-config.patch
BuildRoot: /var/tmp/psacct-root
Prereq: /sbin/install-info

%changelog

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>

- updated from 6.2 to 6.3

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
The tools necessary for accounting the activities of processes are
included here.

%prep
%setup -n acct-6.3
%patch -p1 -b .sopwith

%build
autoconf
sleep 2
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT/var/log
make prefix=$RPM_BUILD_ROOT/usr install
gzip -9f $RPM_BUILD_ROOT/usr/info/*
for I in pacct usracct savacct; do
	:> $RPM_BUILD_ROOT/var/log/$I
	chmod 0600 $RPM_BUILD_ROOT/var/log/$I
	chown root:root $RPM_BUILD_ROOT/var/log/$I
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/accounting.info.gz /usr/info/dir --entry="* accounting: (psacct).            The GNU Process Accounting Suite."

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/accounting.info.gz /usr/info/dir --entry="* accounting: (psacct).            The GNU Process Accounting Suite."
fi

%files
%config /var/log/pacct
%config /var/log/usracct
%config /var/log/savacct
/usr/sbin/accton
/usr/sbin/sa
/usr/sbin/dump-utmp
/usr/sbin/dump-acct
/usr/bin/ac
/usr/bin/lastcomm
/usr/man/man1/ac.1
/usr/man/man1/lastcomm.1
/usr/man/man8/sa.8
/usr/man/man8/accton.8
/usr/info/accounting.info.gz
